diff --git c/scala/runtime/AbstractFunction1.class w/scala/runtime/AbstractFunction1.class
index addc8e23e2..4ba843bc84 100644
--- c/scala/runtime/AbstractFunction1.class
+++ w/scala/runtime/AbstractFunction1.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction1.scala"
-public abstract class scala.runtime.AbstractFunction1 extends java.lang.Object implements scala.Function1,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction1 extends java.lang.Object implements scala.Function1{
 public boolean apply$mcZD$sp(double);
   Signature: (D)Z
   Code:
diff --git c/scala/runtime/AbstractFunction11.class w/scala/runtime/AbstractFunction11.class
index f1f803cdef..78cdf7ba69 100644
--- c/scala/runtime/AbstractFunction11.class
+++ w/scala/runtime/AbstractFunction11.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction11.scala"
-public abstract class scala.runtime.AbstractFunction11 extends java.lang.Object implements scala.Function11,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction11 extends java.lang.Object implements scala.Function11{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction12.class w/scala/runtime/AbstractFunction12.class
index a92e78ac3b..2cd1bb7b16 100644
--- c/scala/runtime/AbstractFunction12.class
+++ w/scala/runtime/AbstractFunction12.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction12.scala"
-public abstract class scala.runtime.AbstractFunction12 extends java.lang.Object implements scala.Function12,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction12 extends java.lang.Object implements scala.Function12{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction13.class w/scala/runtime/AbstractFunction13.class
index e99a531693..3375f88cd6 100644
--- c/scala/runtime/AbstractFunction13.class
+++ w/scala/runtime/AbstractFunction13.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction13.scala"
-public abstract class scala.runtime.AbstractFunction13 extends java.lang.Object implements scala.Function13,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction13 extends java.lang.Object implements scala.Function13{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction14.class w/scala/runtime/AbstractFunction14.class
index 05492256b2..cf2caf5431 100644
--- c/scala/runtime/AbstractFunction14.class
+++ w/scala/runtime/AbstractFunction14.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction14.scala"
-public abstract class scala.runtime.AbstractFunction14 extends java.lang.Object implements scala.Function14,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction14 extends java.lang.Object implements scala.Function14{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction15.class w/scala/runtime/AbstractFunction15.class
index d181aa849d..e0795ea224 100644
--- c/scala/runtime/AbstractFunction15.class
+++ w/scala/runtime/AbstractFunction15.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction15.scala"
-public abstract class scala.runtime.AbstractFunction15 extends java.lang.Object implements scala.Function15,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction15 extends java.lang.Object implements scala.Function15{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction16.class w/scala/runtime/AbstractFunction16.class
index 4bd2c81253..dbe4a89af4 100644
--- c/scala/runtime/AbstractFunction16.class
+++ w/scala/runtime/AbstractFunction16.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction16.scala"
-public abstract class scala.runtime.AbstractFunction16 extends java.lang.Object implements scala.Function16,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction16 extends java.lang.Object implements scala.Function16{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction17.class w/scala/runtime/AbstractFunction17.class
index bb8c12f9b3..f266226fdc 100644
--- c/scala/runtime/AbstractFunction17.class
+++ w/scala/runtime/AbstractFunction17.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction17.scala"
-public abstract class scala.runtime.AbstractFunction17 extends java.lang.Object implements scala.Function17,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction17 extends java.lang.Object implements scala.Function17{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction18.class w/scala/runtime/AbstractFunction18.class
index 3302b37225..f9736f1a94 100644
--- c/scala/runtime/AbstractFunction18.class
+++ w/scala/runtime/AbstractFunction18.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction18.scala"
-public abstract class scala.runtime.AbstractFunction18 extends java.lang.Object implements scala.Function18,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction18 extends java.lang.Object implements scala.Function18{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction19.class w/scala/runtime/AbstractFunction19.class
index 9451f2253b..87eff6dc4d 100644
--- c/scala/runtime/AbstractFunction19.class
+++ w/scala/runtime/AbstractFunction19.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction19.scala"
-public abstract class scala.runtime.AbstractFunction19 extends java.lang.Object implements scala.Function19,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction19 extends java.lang.Object implements scala.Function19{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction2.class w/scala/runtime/AbstractFunction2.class
index 9ee62637e6..3f6d41d520 100644
--- c/scala/runtime/AbstractFunction2.class
+++ w/scala/runtime/AbstractFunction2.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction2.scala"
-public abstract class scala.runtime.AbstractFunction2 extends java.lang.Object implements scala.Function2,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction2 extends java.lang.Object implements scala.Function2{
 public boolean apply$mcZDD$sp(double, double);
   Signature: (DD)Z
   Code:
diff --git c/scala/runtime/AbstractFunction21.class w/scala/runtime/AbstractFunction21.class
index 8ee5a0c4b1..371d16a340 100644
--- c/scala/runtime/AbstractFunction21.class
+++ w/scala/runtime/AbstractFunction21.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction21.scala"
-public abstract class scala.runtime.AbstractFunction21 extends java.lang.Object implements scala.Function21,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction21 extends java.lang.Object implements scala.Function21{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction22.class w/scala/runtime/AbstractFunction22.class
index 984c46e5e2..888f67806a 100644
--- c/scala/runtime/AbstractFunction22.class
+++ w/scala/runtime/AbstractFunction22.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction22.scala"
-public abstract class scala.runtime.AbstractFunction22 extends java.lang.Object implements scala.Function22,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction22 extends java.lang.Object implements scala.Function22{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction3.class w/scala/runtime/AbstractFunction3.class
index 45f1dc6d2a..8a0b4f8eef 100644
--- c/scala/runtime/AbstractFunction3.class
+++ w/scala/runtime/AbstractFunction3.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction3.scala"
-public abstract class scala.runtime.AbstractFunction3 extends java.lang.Object implements scala.Function3,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction3 extends java.lang.Object implements scala.Function3{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction4.class w/scala/runtime/AbstractFunction4.class
index c2a6365ce7..87bced3153 100644
--- c/scala/runtime/AbstractFunction4.class
+++ w/scala/runtime/AbstractFunction4.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction4.scala"
-public abstract class scala.runtime.AbstractFunction4 extends java.lang.Object implements scala.Function4,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction4 extends java.lang.Object implements scala.Function4{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction5.class w/scala/runtime/AbstractFunction5.class
index 463be42086..65548608a1 100644
--- c/scala/runtime/AbstractFunction5.class
+++ w/scala/runtime/AbstractFunction5.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction5.scala"
-public abstract class scala.runtime.AbstractFunction5 extends java.lang.Object implements scala.Function5,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction5 extends java.lang.Object implements scala.Function5{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction6.class w/scala/runtime/AbstractFunction6.class
index ec69eeb35f..94986101a0 100644
--- c/scala/runtime/AbstractFunction6.class
+++ w/scala/runtime/AbstractFunction6.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction6.scala"
-public abstract class scala.runtime.AbstractFunction6 extends java.lang.Object implements scala.Function6,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction6 extends java.lang.Object implements scala.Function6{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction7.class w/scala/runtime/AbstractFunction7.class
index aadc103d8a..0e5481e7be 100644
--- c/scala/runtime/AbstractFunction7.class
+++ w/scala/runtime/AbstractFunction7.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction7.scala"
-public abstract class scala.runtime.AbstractFunction7 extends java.lang.Object implements scala.Function7,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction7 extends java.lang.Object implements scala.Function7{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction8.class w/scala/runtime/AbstractFunction8.class
index fc2e21dc40..96f1a05370 100644
--- c/scala/runtime/AbstractFunction8.class
+++ w/scala/runtime/AbstractFunction8.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction8.scala"
-public abstract class scala.runtime.AbstractFunction8 extends java.lang.Object implements scala.Function8,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction8 extends java.lang.Object implements scala.Function8{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractFunction9.class w/scala/runtime/AbstractFunction9.class
index a58110811a..23ba8f8410 100644
--- c/scala/runtime/AbstractFunction9.class
+++ w/scala/runtime/AbstractFunction9.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractFunction9.scala"
-public abstract class scala.runtime.AbstractFunction9 extends java.lang.Object implements scala.Function9,scala.ScalaObject{
+public abstract class scala.runtime.AbstractFunction9 extends java.lang.Object implements scala.Function9{
 public scala.Function1 curried();
   Signature: ()Lscala/Function1;
   Code:
diff --git c/scala/runtime/AbstractPartialFunction.class w/scala/runtime/AbstractPartialFunction.class
index 47ff62c408..55fba396de 100644
--- c/scala/runtime/AbstractPartialFunction.class
+++ w/scala/runtime/AbstractPartialFunction.class
@@ -1,6 +1,6 @@
 
 Compiled from "AbstractPartialFunction.scala"
-public abstract class scala.runtime.AbstractPartialFunction extends scala.runtime.AbstractFunction1 implements scala.PartialFunction,java.lang.Cloneable,scala.ScalaObject{
+public abstract class scala.runtime.AbstractPartialFunction extends scala.runtime.AbstractFunction1 implements scala.PartialFunction,java.lang.Cloneable{
 private scala.PartialFunction fallBackField;
   Signature: Lscala/PartialFunction;
 
diff --git c/scala/runtime/FractionalProxy.class w/scala/runtime/FractionalProxy.class
index 0d5968136c..61b84e7e49 100644
--- c/scala/runtime/FractionalProxy.class
+++ w/scala/runtime/FractionalProxy.class
@@ -5,7 +5,7 @@ public #= # of #; //Exclusive=class scala/collection/immutable/NumericRange$Excl
 public #= # of #; //Inclusive=class scala/collection/immutable/NumericRange$Inclusive of class scala/collection/immutable/NumericRange
 
 Compiled from "ScalaNumberProxy.scala"
-public abstract class scala.runtime.FractionalProxy extends scala.runtime.ScalaNumberProxy implements scala.runtime.RangedProxy,scala.ScalaObject{
+public abstract class scala.runtime.FractionalProxy extends scala.runtime.ScalaNumberProxy implements scala.runtime.RangedProxy{
 private final scala.math.Fractional evidence$#;
   Signature: Lscala/math/Fractional;
 
diff --git c/scala/runtime/IntegralProxy.class w/scala/runtime/IntegralProxy.class
index aabc5368fa..acaae1d15c 100644
--- c/scala/runtime/IntegralProxy.class
+++ w/scala/runtime/IntegralProxy.class
@@ -4,7 +4,7 @@ public #= # of #; //Exclusive=class scala/collection/immutable/NumericRange$Excl
 public #= # of #; //Inclusive=class scala/collection/immutable/NumericRange$Inclusive of class scala/collection/immutable/NumericRange
 
 Compiled from "ScalaNumberProxy.scala"
-public abstract class scala.runtime.IntegralProxy extends scala.runtime.ScalaWholeNumberProxy implements scala.runtime.RangedProxy,scala.ScalaObject{
+public abstract class scala.runtime.IntegralProxy extends scala.runtime.ScalaWholeNumberProxy implements scala.runtime.RangedProxy{
 private final scala.math.Integral evidence$#;
   Signature: Lscala/math/Integral;
 
diff --git c/scala/runtime/NonLocalReturnControl.class w/scala/runtime/NonLocalReturnControl.class
index a972d7321b..19650284f4 100644
--- c/scala/runtime/NonLocalReturnControl.class
+++ w/scala/runtime/NonLocalReturnControl.class
@@ -1,6 +1,6 @@
 
 Compiled from "NonLocalReturnControl.scala"
-public class scala.runtime.NonLocalReturnControl extends java.lang.Throwable implements scala.util.control.ControlThrowable,scala.ScalaObject{
+public class scala.runtime.NonLocalReturnControl extends java.lang.Throwable implements scala.util.control.ControlThrowable{
 private final java.lang.Object key;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/runtime/OrderedProxy.class w/scala/runtime/OrderedProxy.class
index 3104099869..32efe70f66 100644
--- c/scala/runtime/OrderedProxy.class
+++ w/scala/runtime/OrderedProxy.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //Typed=class scala/Proxy$Typed of class scala/Proxy
 
 Compiled from "ScalaNumberProxy.scala"
-public interface scala.runtime.OrderedProxy extends scala.Proxy$Typed,scala.math.Ordered,scala.ScalaObject{
+public interface scala.runtime.OrderedProxy extends scala.Proxy$Typed,scala.math.Ordered{
 public abstract scala.math.Ordering ord();
   Signature: ()Lscala/math/Ordering;
 
diff --git c/scala/runtime/RichBoolean.class w/scala/runtime/RichBoolean.class
index 8f5caa1858..c9dcf6097c 100644
--- c/scala/runtime/RichBoolean.class
+++ w/scala/runtime/RichBoolean.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //Boolean$=class scala/math/Ordering$Boolean$ of class scala/math/Ordering
 
 Compiled from "RichBoolean.scala"
-public final class scala.runtime.RichBoolean extends java.lang.Object implements scala.runtime.OrderedProxy,scala.ScalaObject{
+public final class scala.runtime.RichBoolean extends java.lang.Object implements scala.runtime.OrderedProxy{
 private final boolean self;
   Signature: Z
 
diff --git c/scala/runtime/RichInt.class w/scala/runtime/RichInt.class
index b0445bc993..520f5ba296 100644
--- c/scala/runtime/RichInt.class
+++ w/scala/runtime/RichInt.class
@@ -3,7 +3,7 @@ public #= # of #; //Inclusive=class scala/collection/immutable/Range$Inclusive o
 public final #= # of #; //IntIsIntegral$=class scala/math/Numeric$IntIsIntegral$ of class scala/math/Numeric
 
 Compiled from "RichInt.scala"
-public final class scala.runtime.RichInt extends scala.runtime.ScalaNumberProxy implements scala.runtime.RangedProxy,scala.ScalaObject{
+public final class scala.runtime.RichInt extends scala.runtime.ScalaNumberProxy implements scala.runtime.RangedProxy{
 private final int self;
   Signature: I
 
diff --git c/scala/runtime/ScalaNumberProxy.class w/scala/runtime/ScalaNumberProxy.class
index f5b245f447..ec2ae33926 100644
--- c/scala/runtime/ScalaNumberProxy.class
+++ w/scala/runtime/ScalaNumberProxy.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //Typed=class scala/Proxy$Typed of class scala/Proxy
 
 Compiled from "ScalaNumberProxy.scala"
-public abstract class scala.runtime.ScalaNumberProxy extends scala.math.ScalaNumber implements scala.math.ScalaNumericConversions,scala.Proxy$Typed,scala.runtime.OrderedProxy,scala.ScalaObject{
+public abstract class scala.runtime.ScalaNumberProxy extends scala.math.ScalaNumber implements scala.math.ScalaNumericConversions,scala.runtime.OrderedProxy{
 private final scala.math.Numeric num;
   Signature: Lscala/math/Numeric;
 
diff --git c/scala/sys/SystemProperties.class w/scala/sys/SystemProperties.class
index b0f0e833f3..8c924f8822 100644
--- c/scala/sys/SystemProperties.class
+++ w/scala/sys/SystemProperties.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SystemProperties.scala"
-public class scala.sys.SystemProperties extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.ScalaObject{
+public class scala.sys.SystemProperties extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map{
 public static scala.sys.Prop traceSourcePath();
   Signature: ()Lscala/sys/Prop;
   Code:
diff --git c/scala/sys/process/Process$.class w/scala/sys/process/Process$.class
index b06439c470..3e8ac1bcf0 100644
--- c/scala/sys/process/Process$.class
+++ w/scala/sys/process/Process$.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //URLBuilder=class scala/sys/process/ProcessBuilder$U
 public abstract #= # of #; //FileBuilder=class scala/sys/process/ProcessBuilder$FileBuilder of class scala/sys/process/ProcessBuilder
 
 Compiled from "Process.scala"
-public final class scala.sys.process.Process$ extends java.lang.Object implements scala.sys.process.ProcessImpl,scala.sys.process.ProcessCreation,scala.ScalaObject{
+public final class scala.sys.process.Process$ extends java.lang.Object implements scala.sys.process.ProcessImpl,scala.sys.process.ProcessCreation{
 public static final scala.sys.process.Process$ MODULE$;
   Signature: Lscala/sys/process/Process$;
 
diff --git c/scala/sys/process/ProcessBuilder$.class w/scala/sys/process/ProcessBuilder$.class
index 9ccb1a9553..37a68af459 100644
--- c/scala/sys/process/ProcessBuilder$.class
+++ w/scala/sys/process/ProcessBuilder$.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //FileBuilder=class scala/sys/process/ProcessBuilder$
 public abstract #= # of #; //Source$class=class scala/sys/process/ProcessBuilder$Source$class of class scala/sys/process/ProcessBuilder
 
 Compiled from "ProcessBuilder.scala"
-public final class scala.sys.process.ProcessBuilder$ extends java.lang.Object implements scala.sys.process.ProcessBuilderImpl,scala.ScalaObject{
+public final class scala.sys.process.ProcessBuilder$ extends java.lang.Object implements scala.sys.process.ProcessBuilderImpl{
 public static final scala.sys.process.ProcessBuilder$ MODULE$;
   Signature: Lscala/sys/process/ProcessBuilder$;
 
diff --git c/scala/sys/process/ProcessBuilderImpl$AbstractBuilder.class w/scala/sys/process/ProcessBuilderImpl$AbstractBuilder.class
index 0def7b23b0..8c36e461b4 100644
--- c/scala/sys/process/ProcessBuilderImpl$AbstractBuilder.class
+++ w/scala/sys/process/ProcessBuilderImpl$AbstractBuilder.class
@@ -14,7 +14,7 @@ public abstract #= # of #; //AbstractBuilder=class scala/sys/process/ProcessBuil
 public #= # of #; //SequenceBuilder=class scala/sys/process/ProcessBuilderImpl$SequenceBuilder of class scala/sys/process/ProcessBuilderImpl
 
 Compiled from "ProcessBuilderImpl.scala"
-public abstract class scala.sys.process.ProcessBuilderImpl$AbstractBuilder extends java.lang.Object implements scala.sys.process.ProcessBuilder,scala.sys.process.ProcessBuilder$Sink,scala.sys.process.ProcessBuilder$Source,scala.ScalaObject{
+public abstract class scala.sys.process.ProcessBuilderImpl$AbstractBuilder extends java.lang.Object implements scala.sys.process.ProcessBuilder{
 public final scala.sys.process.ProcessBuilder$ $outer;
   Signature: Lscala/sys/process/ProcessBuilder$;
 
diff --git c/scala/sys/process/ProcessBuilderImpl$FileImpl.class w/scala/sys/process/ProcessBuilderImpl$FileImpl.class
index b40ebee82f..cd55e23281 100644
--- c/scala/sys/process/ProcessBuilderImpl$FileImpl.class
+++ w/scala/sys/process/ProcessBuilderImpl$FileImpl.class
@@ -12,7 +12,7 @@ public #= # of #; //PipedBuilder=class scala/sys/process/ProcessBuilderImpl$Pipe
 public #= # of #; //IStreamBuilder=class scala/sys/process/ProcessBuilderImpl$IStreamBuilder of class scala/sys/process/ProcessBuilderImpl
 
 Compiled from "ProcessBuilderImpl.scala"
-public class scala.sys.process.ProcessBuilderImpl$FileImpl extends java.lang.Object implements scala.sys.process.ProcessBuilder$FileBuilder,scala.sys.process.ProcessBuilder$Sink,scala.sys.process.ProcessBuilder$Source,scala.ScalaObject{
+public class scala.sys.process.ProcessBuilderImpl$FileImpl extends java.lang.Object implements scala.sys.process.ProcessBuilder$FileBuilder{
 private final java.io.File base;
   Signature: Ljava/io/File;
 
diff --git c/scala/sys/process/ProcessBuilderImpl$URLImpl.class w/scala/sys/process/ProcessBuilderImpl$URLImpl.class
index 1f2cecf8b6..f35b87db72 100644
--- c/scala/sys/process/ProcessBuilderImpl$URLImpl.class
+++ w/scala/sys/process/ProcessBuilderImpl$URLImpl.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //Source$class=class scala/sys/process/ProcessBuilder
 public #= # of #; //URLInput=class scala/sys/process/ProcessBuilderImpl$URLInput of class scala/sys/process/ProcessBuilderImpl
 
 Compiled from "ProcessBuilderImpl.scala"
-public class scala.sys.process.ProcessBuilderImpl$URLImpl extends java.lang.Object implements scala.sys.process.ProcessBuilder$URLBuilder,scala.sys.process.ProcessBuilder$Source,scala.ScalaObject{
+public class scala.sys.process.ProcessBuilderImpl$URLImpl extends java.lang.Object implements scala.sys.process.ProcessBuilder$URLBuilder{
 private final java.net.URL url;
   Signature: Ljava/net/URL;
 
diff --git c/scala/sys/process/package$.class w/scala/sys/process/package$.class
index 51a7ce28dc..1879d85399 100644
--- c/scala/sys/process/package$.class
+++ w/scala/sys/process/package$.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //URLBuilder=class scala/sys/process/ProcessBuilder$U
 public abstract #= # of #; //FileBuilder=class scala/sys/process/ProcessBuilder$FileBuilder of class scala/sys/process/ProcessBuilder
 
 Compiled from "package.scala"
-public final class scala.sys.process.package$ extends java.lang.Object implements scala.sys.process.ProcessImplicits,scala.ScalaObject{
+public final class scala.sys.process.package$ extends java.lang.Object implements scala.sys.process.ProcessImplicits{
 public static final scala.sys.process.package$ MODULE$;
   Signature: Lscala/sys/process/package$;
 
diff --git c/scala/text/DocBreak$.class w/scala/text/DocBreak$.class
index 01621c1b5d..0e07aeb099 100644
--- c/scala/text/DocBreak$.class
+++ w/scala/text/DocBreak$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Document.scala"
-public final class scala.text.DocBreak$ extends scala.text.Document implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.text.DocBreak$ extends scala.text.Document implements scala.Product,scala.Serializable{
 public static final scala.text.DocBreak$ MODULE$;
   Signature: Lscala/text/DocBreak$;
 
diff --git c/scala/text/DocCons.class w/scala/text/DocCons.class
index 7472647d68..1d571c2a49 100644
--- c/scala/text/DocCons.class
+++ w/scala/text/DocCons.class
@@ -1,6 +1,6 @@
 
 Compiled from "Document.scala"
-public class scala.text.DocCons extends scala.text.Document implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.text.DocCons extends scala.text.Document implements scala.Product,scala.Serializable{
 private final scala.text.Document hd;
   Signature: Lscala/text/Document;
 
diff --git c/scala/text/DocGroup.class w/scala/text/DocGroup.class
index 6068f9cc9f..b1cccc6780 100644
--- c/scala/text/DocGroup.class
+++ w/scala/text/DocGroup.class
@@ -1,6 +1,6 @@
 
 Compiled from "Document.scala"
-public class scala.text.DocGroup extends scala.text.Document implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.text.DocGroup extends scala.text.Document implements scala.Product,scala.Serializable{
 private final scala.text.Document doc;
   Signature: Lscala/text/Document;
 
diff --git c/scala/text/DocNest.class w/scala/text/DocNest.class
index d3d72acd79..c1930c0e0b 100644
--- c/scala/text/DocNest.class
+++ w/scala/text/DocNest.class
@@ -1,6 +1,6 @@
 
 Compiled from "Document.scala"
-public class scala.text.DocNest extends scala.text.Document implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.text.DocNest extends scala.text.Document implements scala.Product,scala.Serializable{
 private final int indent;
   Signature: I
 
diff --git c/scala/text/DocNil$.class w/scala/text/DocNil$.class
index 9afb47faff..4776161cb4 100644
--- c/scala/text/DocNil$.class
+++ w/scala/text/DocNil$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Document.scala"
-public final class scala.text.DocNil$ extends scala.text.Document implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.text.DocNil$ extends scala.text.Document implements scala.Product,scala.Serializable{
 public static final scala.text.DocNil$ MODULE$;
   Signature: Lscala/text/DocNil$;
 
diff --git c/scala/text/DocText.class w/scala/text/DocText.class
index a343fb6ab6..866adc5eab 100644
--- c/scala/text/DocText.class
+++ w/scala/text/DocText.class
@@ -1,6 +1,6 @@
 
 Compiled from "Document.scala"
-public class scala.text.DocText extends scala.text.Document implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.text.DocText extends scala.text.Document implements scala.Product,scala.Serializable{
 private final java.lang.String txt;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/MurmurHash.class w/scala/util/MurmurHash.class
index 6e9984a7cc..4f482e86a6 100644
--- c/scala/util/MurmurHash.class
+++ w/scala/util/MurmurHash.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "MurmurHash.scala"
-public class scala.util.MurmurHash extends java.lang.Object implements scala.Function1,scala.ScalaObject{
+public class scala.util.MurmurHash extends java.lang.Object implements scala.Function1{
 private final int seed;
   Signature: I
 
diff --git c/scala/util/Properties$.class w/scala/util/Properties$.class
index a3711a8873..3b13b77101 100644
--- c/scala/util/Properties$.class
+++ w/scala/util/Properties$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Name=class java/util/jar/Attributes$Name of class java/util/jar/Attributes
 
 Compiled from "Properties.scala"
-public final class scala.util.Properties$ extends java.lang.Object implements scala.util.PropertiesTrait,scala.ScalaObject{
+public final class scala.util.Properties$ extends java.lang.Object implements scala.util.PropertiesTrait{
 public static final scala.util.Properties$ MODULE$;
   Signature: Lscala/util/Properties$;
 
diff --git c/scala/util/control/BreakControl.class w/scala/util/control/BreakControl.class
index a1aff0afe6..fb2be06b11 100644
--- c/scala/util/control/BreakControl.class
+++ w/scala/util/control/BreakControl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Breaks.scala"
-public class scala.util.control.BreakControl extends java.lang.Throwable implements scala.util.control.ControlThrowable,scala.ScalaObject{
+public class scala.util.control.BreakControl extends java.lang.Throwable implements scala.util.control.ControlThrowable{
 public java.lang.Throwable scala$util$control$NoStackTrace$$super$fillInStackTrace();
   Signature: ()Ljava/lang/Throwable;
   Code:
diff --git c/scala/util/control/Exception$Catch.class w/scala/util/control/Exception$Catch.class
index f4e2c294a7..2fdbc90fb6 100644
--- c/scala/util/control/Exception$Catch.class
+++ w/scala/util/control/Exception$Catch.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //Described=class scala/util/control/Exception$Descri
 public abstract #= # of #; //Described$class=class scala/util/control/Exception$Described$class of class scala/util/control/Exception
 
 Compiled from "Exception.scala"
-public class scala.util.control.Exception$Catch extends java.lang.Object implements scala.util.control.Exception$Described,scala.ScalaObject{
+public class scala.util.control.Exception$Catch extends java.lang.Object implements scala.util.control.Exception$Described{
 private final scala.PartialFunction pf;
   Signature: Lscala/PartialFunction;
 
diff --git c/scala/util/control/Exception$Finally.class w/scala/util/control/Exception$Finally.class
index 7b809b20c2..ae07696f22 100644
--- c/scala/util/control/Exception$Finally.class
+++ w/scala/util/control/Exception$Finally.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Described=class scala/util/control/Exception$Descri
 public abstract #= # of #; //Described$class=class scala/util/control/Exception$Described$class of class scala/util/control/Exception
 
 Compiled from "Exception.scala"
-public class scala.util.control.Exception$Finally extends java.lang.Object implements scala.util.control.Exception$Described,scala.ScalaObject{
+public class scala.util.control.Exception$Finally extends java.lang.Object implements scala.util.control.Exception$Described{
 
 private final java.lang.String name;
   Signature: Ljava/lang/String;
diff --git c/scala/util/control/TailCalls$Call.class w/scala/util/control/TailCalls$Call.class
index 3dbe0bb403..c957e1a1fa 100644
--- c/scala/util/control/TailCalls$Call.class
+++ w/scala/util/control/TailCalls$Call.class
@@ -3,7 +3,7 @@ public #= # of #; //Call=class scala/util/control/TailCalls$Call of class scala/
 public abstract #= # of #; //TailRec=class scala/util/control/TailCalls$TailRec of class scala/util/control/TailCalls
 
 Compiled from "TailCalls.scala"
-public class scala.util.control.TailCalls$Call extends scala.util.control.TailCalls$TailRec implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.control.TailCalls$Call extends scala.util.control.TailCalls$TailRec implements scala.Product,scala.Serializable{
 
   Code:
 #:	areturn
